* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

:root {
	--deep-dark: rgb(26, 26, 26);
	--light-dark: #404344;
	--dark-green: rgb(12, 81, 73);
	--light-green: rgb(45, 128, 107);
	--very-light-green: rgb(211, 233, 227);
	--light: rgb(245, 245, 245);
}

body {
	display: flex;
	justify-content: center;
	margin-top: 120px;
	font-family: 'Montserrat', sans-serif;
	background-color: var(--light);
}

h1 {
	color: var(--light);
	margin-bottom: 20px;
	text-transform: uppercase;
}

.fas {
	pointer-events: none;
}

.todo {
	width: 100vw;
	max-width: 800px;
	border-radius: 15px;
	background: #fff;
	box-shadow: 4px 4px 5px rgba(82, 82, 82, 0.4);
	text-align: center;
}

.header {
	border-radius: 15px 15px 0 0;
	padding: 40px;
	background-image: linear-gradient(
		15deg,
		rgb(12, 81, 73) 0%,
		rgb(37, 194, 160) 100%
	);
}

.add-task {
	display: flex;
	justify-content: center;
}

.todo-input {
	width: 80%;
	min-width: 150px;
	padding: 10px 10px;
	margin-right: 20px;
	border: none;
	border-radius: 5px;
	color: var(--light-dark);
	font-size: 14px;
	background-color: var(--light);
}

.error-info {
	margin-top: 20px;
}

.error-message {
	color: tomato;
}

.empty-list {
	font-size: 18px;
	color: var(--light-green);
	font-weight: bold;
}

.btn-add {
	padding: 10px 22px;
	border: none;
	border-radius: 5px;
	color: var(--deep-dark);
	background-color: var(--very-light-green);
	text-transform: uppercase;
	font-weight: bold;
	cursor: pointer;
	transition: color 0.3s, background-color 0.3s;
}

.btn-add:hover {
	color: #fff;
	font-weight: 700;
	background-color: var(--light-dark);
}

.todolist {
	padding: 20px 0;
}

.todolist h3 {
	text-transform: uppercase;
	margin-bottom: 16px;
}

.todolist li {
	display: flex;
	justify-content: space-between;
	align-items: center;
	margin: 15px;
	padding-left: 20px;
	text-align: left;
	list-style: none;
	background-color: var(--light);
}

.tools {
	display: inline-block;
	font-size: 0;
}

.tools button {
	padding: 15px 10px;
	border: none;
	background-color: transparent;
	cursor: pointer;
	transition: background-color 0.3s;
}

.tools button:hover {
	background-color: #ddd;
}

.complete {
	color: rgb(15, 179, 69);
}

.edit {
	font-weight: bold;
	color: rgb(14, 31, 146);
}

.delete {
	color: tomato;
}

.completed {
	font-size: 12px;
	color: var(--light-dark);
	text-decoration: line-through;
}

.popup {
	display: none;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	position: fixed;
	bottom: 20px;
	left: 50%;
	transform: translateX(-50%);
	width: 100%;
	max-width: 800px;
	color: var(--light);
	background-color: var(--light-dark);
	border-radius: 15px;
}

.popup h3 {
	padding: 20px;
}

.popup-info {
	margin-bottom: 20px;
	color: tomato;
}

.popup-body {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;
	width: 90%;
	padding: 10px;
}

.popup-input {
	width: 100%;
	padding: 10px 20px;
	border: none;
	border-radius: 5px;
	color: var(--light-dark);
	background-color: var(--light);
}

.popup-btn {
	width: 30%;
	min-width: 100px;
	display: inline-block;
	padding: 10px 15px;
	margin: 10px;
	border: none;
	border-radius: 5px;
	color: var(--deep-dark);
	background-color: var(--very-light-green);
	text-transform: uppercase;
	font-weight: bold;
	cursor: pointer;
	transition: color 0.3s, background-color 0.3s;
}

.popup-btn:hover {
	color: #fff;
	background-color: var(--light-green);
}
